require "spec_helper"

describe Metamorphosis do
   it "Exposes Metamorphosis::Engine as 'engine'" do
     Metamorphosis.engine.should === Metamorphosis::Engine.instance
   end

   it "registers the units defined as constants" do
     Metamorphosis.register_predefined_units
     1.respond_to?(:kwh)
     1.respond_to?(:kilowatt_hour)
   end

   it "exposes 'register_unit' from engine" do
     Metamorphosis.engine.should_receive(:register_unit).with(:a, :b, :c)
     Metamorphosis.register_unit(:a, :b, :c)
   end
end
